//*****************************************************************************/
//	PROJECT:	WIFI_Web_Server
// 	FILE NAME: 	main.c
// 	IDEAS:		Micro WebServer จาก ESP8266 และ Arduino		http://www.ayarafun.com/2014/09/micro-webserver-from-esp8266-and-arduino/
//  
//__________________________________________________________________________________________________________________________________________________
//  Pavlov Evgeniy            Pavlov_en@yahoo.com         	http://mylab.wmsite.ru/moi-razrab/cypress-psoc/
//
// 	DESCRIPTION:  
//	  
//  DEVICES:
//  1. ESP8266 Serial WIFI Wireless TransceiveR Module     	http://www.ebay.com/sch/i.html?_from=R40&_trksid=p4712.m570.l1313.TR0.TRC0.H0.XESP8266&_nkw=ESP8266&_sacat=0 
//  2. CY8CKIT - 030 PSoC3     ( CY8C3866AXI-040  ) 		http://www.cypress.com/?rID=49524
//
//	programms:
//	ESP8266-Config    										https://www.facebook.com/appstack.in.th
//  Hercules SETUP utility by hw-group.com   				http://www.hw-group.com/products/hercules/index_en.html#download
//
//  info:
//	ESP8266 WiFi Module ( ver 00160901 !!!!!!!! )  			http://playground.boxtec.ch/doku.php/wireless/esp8266
//	Forum													http://www.esp8266.com/
//  updating 												http://blog.electrodragon.com/cloud-updating-your-wi07c-esp8266-now/
//***********************************************************************************************************************

#include <device.h>
//#include <stdio.h>   				/* sprintf() */
#include "Data_and_Func.h"

#define SSID "mySSID" 				// ваш SSID
#define PASS "myPASS" 			    // ваш пароль

int i=0;

CY_ISR_PROTO(WIFI_Reconnect);
CY_ISR(Reconnect)
	{ recon++; }

//------------------------------------------------------------------------------------------------------
int main()
{ 
//isr_Reconn_StartEx(Reconnect);
CyGlobalIntEnable; 									/* Enable all interrupts by the processor. */
UART_Start();
//  LCD_Char_Start(); 
 //..............................................
//Test_Write(0); 
// LCD_Char_Position(0,0);
Reset1();
if (!WaitText("eady", 1000))
{
    //LCD_Char_PrintString("  NO DEVICE:!!!"); 
    CyDelay(3000); 
    CySoftwareReset();
}  			// в разных прошивках Ready или ready  поэтому ищем общее не дольше 1000 мСек  baudrate  совпадает не точно - пересбросим
//LCD_Char_PrintString("DEVICE: OK");
CyDelay(1000);
UART_PutString("AT+CWMODE=1\r\n");   
CyDelay(10);	// Режим работы модуля ( 1-клиент 2-точка доступа 3-совмещенный )
// ****************try to connect to wifi ********************************************
for(i=0;i<3;i++)
{
//LCD_Char_Position(0,0); 
//LCD_Char_PrintString("Connecting...N ");
//LCD_Char_PrintNumber(i);
if(connectWiFi(SSID, PASS))
{ 
 //   LCD_Char_Position(0,0);
   // LCD_Char_PrintString("WiFi Connected!!");
    break;
} 
}
if (i==3) 
{
 //   LCD_Char_Position(0,0);
 //   LCD_Char_PrintString("No connect.Sorry");
    CyDelay(3000); 
    CySoftwareReset();
}	// сброс чипа
//------------------------------------------------------------------------------------------------
IP_to_LCD();			// IP - на экран LCD
SetServer(8045);		// включаем сервер на порт  8046 ( или какой вам удобно)
CyDelay(500);
UART_ClearRxBuffer();	// начнем жизнь с нового листа ))
//************************************************************************** 
while(1)
  { 								
	if (WaitText("GET", 500))						// ждем запрос GET от клиента
    	{
 		CyDelay(50);								// "GET" получен, подождем пока закончится передача
		webserver();								// отвечаем и закрываем соединение
		recon=0;									// сброс счетчика профилактической перезагрузки
		}
	if(recon==60) 	
    {
        recon=0; 
        CySoftwareReset ();
    }	// скучно ...  перезагрузимся для профилактики зависания ESP8266 )))
  }
}

/* [] END OF FILE */
